#!/usr/bin/env python
# -*- coding: utf-8 -*-

"""-------------------------------------------------------------------------------------------
-- IMPORTS
-------------------------------------------------------------------------------------------"""

""" --- HUEY IMPORT --- """
""" --- PYTHON IMPORTS --- """
""" --- STASHR DEPENDENCY IMPORTS --- """
""" --- STASHR CORE IMPORTS --- """
from stashr import log, database

""" --- FLASK EXTENSION IMPORTS --- """
from flask_wtf import FlaskForm

from wtforms import StringField, SubmitField
from wtforms.validators import DataRequired, Length, Email, EqualTo, ValidationError, NumberRange

""" --- CREATE LOGGER --- """
logger = log.stashr_logger(__name__)

"""-------------------------------------------------------------------------------------------
-- FORMS
-------------------------------------------------------------------------------------------"""

class settings_form(FlaskForm):

    api_key = StringField(
        'Pushbullet API Key',
    )
    channel = StringField(
        'Pushbullet Channel',
    )
    settings_button = SubmitField(
        'Save',
    )
